Subject: Re: bug#23964: 25.1.50; `+' no longer works on images in Gnus article buffers

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 21 Jul 2016 17:46:18 +0900

On Wed, 20 Jul 2016 14:47:38 +0200, Lars Ingebrigtsen wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> I'll fix it in master.

> Hm...  it still doesn't quite seem to work.  It works for plain <img>
> things, but if it's <a href=...><img></a> then `+' from image-map
> doesn't work, and `a' from `shr-map' doesn't work, either (in a Gnus
> article buffer).

I realized `+' works for some html mails but doesn't for others.
In a mail in which `+' works, the keymap is put on an image.
However, the keymap is put on the right hand neighbour character
(usually a LF character) of the image in a mail where `+' doesn't
work.  I'll work it for more...

Here are two examples: